Set embed analytics plugins
PUT
https://octopus.livepush.io/streams/{stream_id}/embed/plugins
Base URL https://octopus.livepush.io — Core Streams & Media APIs
Configures third-party analytics integrations for the embedded player.
Requires a token with write access to the stream (CanWriteStreams).
Authorization
Send a valid access token in the Authorization header.
bearerAuth— Bearer token (JWT)
Authorization: Bearer YOUR_API_TOKEN
Try it
Loading the request builder…
PUT
https://octopus.livepush.io/streams/{stream_id}/embed/plugins
— This call changes live data on your account.
Parameters
Path parameters
-
stream_idstring requiredUnique identifier of the stream.example: st_xxxxxxxxxxxxx
Request body
-
gastringGoogle Analytics measurement ID. -
motamostringMatomo instance URL. -
motamoSiteIDstringMatomo site ID. -
segmentstringSegment write key. -
mixpanelstringMixpanel project token. -
kissmetricsstringKissmetrics API key. -
intercomstringIntercom workspace ID.
{
"ga": "G-XXXXXXXXXX",
"motamo": "string",
"motamoSiteID": "string",
"segment": "string",
"mixpanel": "string",
"kissmetrics": "string",
"intercom": "string"
}
Code samples
curl -X PUT 'https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/embed/plugins' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"ga": "G-XXXXXXXXXX",
"motamo": "string",
"motamoSiteID": "string",
"segment": "string",
"mixpanel": "string",
"kissmetrics": "string",
"intercom": "string"
}'
const response = await fetch('https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/embed/plugins', {
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"ga": "G-XXXXXXXXXX",
"motamo": "string",
"motamoSiteID": "string",
"segment": "string",
"mixpanel": "string",
"kissmetrics": "string",
"intercom": "string"
}),
});
if (!response.ok) {
throw new Error(`Livepush API error ${response.status}`);
}
const data = await response.json();
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json',
}
payload = {
"ga": "G-XXXXXXXXXX",
"motamo": "string",
"motamoSiteID": "string",
"segment": "string",
"mixpanel": "string",
"kissmetrics": "string",
"intercom": "string"
}
response = requests.put('https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/embed/plugins', headers=headers, json=payload, timeout=30)
response.raise_for_status()
data = response.json()
Responses
Setting applied.
-
successboolean
{
"success": true
}
No response body.
No response body.